GWT 2.7.0

## com.google.gwt.user.client.ui
Class DockLayoutPanel.LayoutData

    java.lang.Object
      com.google.gwt.user.client.ui.DockLayoutPanel.LayoutData

Enclosing class:
  DockLayoutPanel

    protected static class DockLayoutPanel.LayoutData

extends java.lang.Object

Layout data associated with each widget.

Field Summary
`DockLayoutPanel.Direction` | `direction`
`boolean` | `hidden`
`Layout.Layer` | `layer`
`double` | `oldSize`
`double` | `originalSize`
`double` | `size`

Constructor Summary
`DockLayoutPanel.LayoutData(DockLayoutPanel.Direction direction, double size, Layout.Layer layer)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### direction

    public DockLayoutPanel.Direction direction

### oldSize

    public double oldSize

### size

    public double size

### originalSize

    public double originalSize

### hidden

    public boolean hidden

### layer

    public Layout.Layer layer

Constructor Detail

### DockLayoutPanel.LayoutData

    public DockLayoutPanel.LayoutData(DockLayoutPanel.Direction direction,
                                      double size,
                                      Layout.Layer layer)

GWT 2.7.0